<?php

/* ************************************************* *\
|* ================================================= *|
|* =       Copyright (c) 2012 Jacob Pollack.       = *|
|* ================================================= *|
|* = THIS SOFTWARE IS PRIVATE AND CANNOT BE FOUND  = *|
|* = ON THE PUBLIC DOMAIN. ANY DISTRIBUTION OR USE = *|
|* = OF THIS SOFTWARE WITHOUT THE EXPLICIT         = *|
|* = PERMISSION OF THE AUTHOR WILL RESULT IN LEGAL = *|
|* = ACTION BEING TAKEN.                           = *|
|* =                                               = *|
|* = THIS SOFTWARE IS CREATED FOR EDUCATIONAL      = *|
|* = PURPOSES ONLY. CHANGES OF ANY SORT MUST BE    = *|
|* = SUBMITTED TO THE RESPOSITORY ACCORDINGLY.     = *|
|* ================================================= *|
|* = @author    Jacob Pollack                      = *|
|* = @email     jacobpollack@jamach.com            = *|
|* = @date      05/08/2012 (DD/MM/YYYY)            = *|
|* =                                               = *|
|* = @contributors  none                           = *|
|* ================================================= *|
\*************************************************** */

/**
 * This is the error file handling all of the errors.
 * 
 * @name    Error
 * @author  Jacob Pollack
 */

/**
 * Sets up error reporting environment.
 */
error_reporting(E_ALL);

/**
 * Registers the error handler method.
 */
set_error_handler('errorhandler');

/**
 * Handles all of the triggered errors.
 * 
 * @todo    Design an error template and have it triggered
 * within the error for a prettier display.
 * 
 * @param   integer     $error_number   The unique identified of the error.
 * @param   string      $error_string   The detailed error message.
 * @param   string      $error_file     The file in which the error got triggered.
 * @param   integer     $error_line     The line in which the error got triggered.
 * 
 * @return boolean
 */
function errorhandler($error_number, $error_string, $error_file, $error_line)
{
    print 'Error (' . $error_number . ') occurred on line ' . $error_line . ' in the file \'' . $error_file . '\':<br /><br />';
    print '<pre>';
    print $error_string;
    print '</pre>';
    
    // Stops the request from being made to display only the error message.
    die;
    
    // Disables internal PHP error handling.
    return true;
}

?>