<?php

/* ************************************************* *\
|* ================================================= *|
|* =       Copyright (c) 2012 Jacob Pollack.       = *|
|* ================================================= *|
|* = THIS SOFTWARE IS PRIVATE AND CANNOT BE FOUND  = *|
|* = ON THE PUBLIC DOMAIN. ANY DISTRIBUTION OR USE = *|
|* = OF THIS SOFTWARE WITHOUT THE EXPLICIT         = *|
|* = PERMISSION OF THE AUTHOR WILL RESULT IN LEGAL = *|
|* = ACTION BEING TAKEN.                           = *|
|* =                                               = *|
|* = THIS SOFTWARE IS CREATED FOR EDUCATIONAL      = *|
|* = PURPOSES ONLY. CHANGES OF ANY SORT MUST BE    = *|
|* = SUBMITTED TO THE RESPOSITORY ACCORDINGLY.     = *|
|* ================================================= *|
|* = @author    Jacob Pollack                      = *|
|* = @email     jacobpollack@jamach.com            = *|
|* = @date      05/08/2012 (DD/MM/YYYY)            = *|
|* =                                               = *|
|* = @contributors  none                           = *|
|* ================================================= *|
\*************************************************** */

/**
 * This is the template handler file. Contains all the methods
 * used to grab, merge and output the specified pages from the
 * current template.
 * 
 * @name    Template Handler
 * @author  Jacob Pollack
 */

final class templatehandler
{
    /**
     * Path to the template directory.
     * 
     * @var string
     */
    private $path = null;
    
    /**
     * The extension of all of the template files.
     * 
     * @var string 
     */
    private $extension = '.tpl';
    
    /**
     * Builds the file path for the template directory.
     * 
     * @return void
     */
    final public function __construct($path)
    {
        $this->path = CWD . INCLUDES . $path;
    }
    
    /**
     * Empty destructor.
     * 
     * @return void
     */
    final public function __destruct() { }
}

?>